JUCE: AudioProcessorValueTreeStateParameterAttributes Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AudioProcessorValueTreeStateParameterAttributes Class Reference
juce_audio_processors » utilities

Advanced properties of an AudioProcessorValueTreeState::Parameter. More...

`#include <juce_AudioProcessorValueTreeState.h>`

## Public Member Functions
auto | withStringFromValueFunction (StringFromValue x) const
auto | withValueFromStringFunction (ValueFromString x) const
auto | withLabel (String x) const
auto | withCategory (Category x) const
auto | withMeta (bool x) const
auto | withAutomatable (bool x) const
auto | withInverted (bool x) const
auto | withDiscrete (bool x) const
| Pass 'true' if this parameter has discrete steps, or 'false' if the parameter is continuous.
auto | withBoolean (bool x) const
| Pass 'true' if this parameter only has two valid states.
const auto & | getAudioParameterFloatAttributes () const
const auto & | getDiscrete () const
const auto & | getBoolean () const

## Detailed Description

Advanced properties of an AudioProcessorValueTreeState::Parameter.

The members here have the same meaning as the similarly-named member functions of AudioParameterFloatAttributes.

See also
  AudioParameterFloatAttributes, RangedAudioParameterAttributes

## Member Function Documentation

## ◆ withStringFromValueFunction()

auto AudioProcessorValueTreeStateParameterAttributes::withStringFromValueFunction | ( | StringFromValue | x | ) | const

See also
  RangedAudioParameterAttributes::withStringFromValueFunction()

References withMember(), RangedAudioParameterAttributes< Derived, Value >::withStringFromValueFunction(), and x.

## ◆ withValueFromStringFunction()

auto AudioProcessorValueTreeStateParameterAttributes::withValueFromStringFunction | ( | ValueFromString | x | ) | const

See also
  RangedAudioParameterAttributes::withValueFromStringFunction()

References withMember(), RangedAudioParameterAttributes< Derived, Value >::withValueFromStringFunction(), and x.

## ◆ withLabel()

auto AudioProcessorValueTreeStateParameterAttributes::withLabel | ( | String | x | ) | const

See also
  RangedAudioParameterAttributes::withLabel()

References RangedAudioParameterAttributes< Derived, Value >::withLabel(), withMember(), and x.

## ◆ withCategory()

auto AudioProcessorValueTreeStateParameterAttributes::withCategory | ( | Category | x | ) | const

See also
  RangedAudioParameterAttributes::withCategory()

References RangedAudioParameterAttributes< Derived, Value >::withCategory(), withMember(), and x.

## ◆ withMeta()

auto AudioProcessorValueTreeStateParameterAttributes::withMeta | ( | bool | x | ) | const

See also
  RangedAudioParameterAttributes::withMeta()

References withMember(), RangedAudioParameterAttributes< Derived, Value >::withMeta(), and x.

## ◆ withAutomatable()

auto AudioProcessorValueTreeStateParameterAttributes::withAutomatable | ( | bool | x | ) | const

See also
  RangedAudioParameterAttributes::withAutomatable()

References RangedAudioParameterAttributes< Derived, Value >::withAutomatable(), withMember(), and x.

## ◆ withInverted()

auto AudioProcessorValueTreeStateParameterAttributes::withInverted | ( | bool | x | ) | const

See also
  RangedAudioParameterAttributes::withInverted()

References RangedAudioParameterAttributes< Derived, Value >::withInverted(), withMember(), and x.

## ◆ withDiscrete()

auto AudioProcessorValueTreeStateParameterAttributes::withDiscrete | ( | bool | x | ) | const

Pass 'true' if this parameter has discrete steps, or 'false' if the parameter is continuous.

Using an AudioParameterChoice or AudioParameterInt might be a better choice than setting this flag.

References withMember(), and x.

## ◆ withBoolean()

auto AudioProcessorValueTreeStateParameterAttributes::withBoolean | ( | bool | x | ) | const

Pass 'true' if this parameter only has two valid states.

Using an AudioParameterBool might be a better choice than setting this flag.

References withMember(), and x.

## ◆ getAudioParameterFloatAttributes()

const auto & AudioProcessorValueTreeStateParameterAttributes::getAudioParameterFloatAttributes | ( |  | ) | const

Returns
  all attributes that might also apply to an AudioParameterFloat

## ◆ getDiscrete()

const auto & AudioProcessorValueTreeStateParameterAttributes::getDiscrete | ( |  | ) | const

Returns
  'true' if this parameter has discrete steps, or 'false' if the parameter is continuous.

## ◆ getBoolean()

const auto & AudioProcessorValueTreeStateParameterAttributes::getBoolean | ( |  | ) | const

Returns
  'true' if this parameter only has two valid states.

The documentation for this class was generated from the following file:

- juce_AudioProcessorValueTreeState.h